> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DELETE (/users/xuid({xuid})/inbox/{messageId})

> DELETE (/users/xuid({xuid})/inbox/{messageId})

Deletes a user message in the user's inbox.
The domain for these URIs is `msg.xboxlive.com`.

* [Remarks](#ID4EV)
* [URI parameters](#ID4ECB)
* [Authorization](#ID4EPB)
* [Request body](#ID4E1B)
* [HTTP status codes](#ID4EHC)
* [JavaScript Object Notation (JSON) Response](#ID4EAE)
* [Effect of privacy settings on resource](#ID4EYF)

## Remarks

The delete operation is idempotent.

The only content type this API supports is "application/json", which is required in the HTTP headers of each call.

## URI parameters

| Parameter | Type | Description |
| - | - | - |
| xuid | unsigned 64-bit integer | The XBOX User ID (XUID) of the player who is making the request. |
| messageId | string\[50] | ID of the message being retrieved or deleted. |

## Authorization

You must have your own user claim to delete a user message.

## Request body

No objects are sent in the body of this request.

## HTTP status codes

The service returns one of the status codes in this section in response to a request made with this method on this resource. For a complete list of standard HTTP status codes used with XBOX Live Services, see [Standard HTTP status codes](https://docs.xbox.com/reference/live/rest/additional/httpstatuscodes.md).

\| Code| Description|
\| --- | --- | --- | --- | --- |
\| 204| Success.|
\| 403| The XUID cannot be converted or a valid XUID claim cannot be found.|
\| 404| Message ID in the URI cannot be parsed or an XUID is missing in the URI.|
\| 500| General server-side error.|

## JavaScript Object Notation (JSON) Response

In case of error, the service may return an errorResponse object, which may contain values from the environment of the service.

\| Property| Type| Description|
\| --- | --- | --- | --- | --- | --- | --- | --- |
\| errorSource| string| An indication of where the error originated.|
\| errorCode| int| Numeric code associated with the error (can be null).|
\| errorMessage| string| Details of the error if configured to show details.|

## Effect of privacy settings on resource

Only you can delete your own user messages.

## See also

##### Parent

[/users/xuid({xuid})/inbox](https://docs.xbox.com/reference/live/rest/uri/users/uri-usersxuidinbox.md)

##### Reference  [Standard HTTP status codes](https://docs.xbox.com/reference/live/rest/additional/httpstatuscodes.md)


## Related topics

- [GET (/users/xuid({xuid})/inbox/{messageId})](https://docs.xbox.com/reference/live/rest/uri/users/uri-usersxuidinboxmessageidget.md)
- [DELETE /titles/{titleId}/users/{xuid}/activities](https://docs.xbox.com/reference/live/rest/uri/multiplayeractivity/swagger-uris/uri-DeleteActivity.md)
- [/users/xuid({xuid})/inbox](https://docs.xbox.com/reference/live/rest/uri/users/uri-usersxuidinbox.md)
- [GET (/users/xuid({xuid})/inbox)](https://docs.xbox.com/reference/live/rest/uri/users/uri-usersxuidinboxget.md)
- [/users/xuid({xuid})](https://docs.xbox.com/reference/live/rest/uri/presence/uri-usersxuid.md)
